<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>HTML Tables and Forms</title>
</head>
<body>

	<header>
		<!-- <div></div> tag creates a container element used to group HTML elements -->
		<h1>HTML Tables and Forms</h1>
	</header>

	<main>

		<section>
			<!-- HTML Entities -->
			<h2>HTML Entities</h2>

			<p>
				<em> Reserved characters in HTML (e.g. &lt; or &gt; characters that can mix up with HTML code).</em>
			</p>
			<!-- <table></table> tag defines an HTML table that allows us to represent data in tabular format. -->
			<table border="1" >
				<!-- <thead></thead> tag used to group header content in HTML Table -->
				<thead>
					<!-- <tr></tr> tag defines a table row -->
					<tr>
						<!-- <th></th> tag defines a table header element -->
						<!-- 
							* colspan attributes - changes the amount of table element will occupy (rowspan)

						 -->
						<th colspan="2">Entity</th>
						<th>Description</th>
					</tr>
				</thead>
				<!-- <tbody></tbody> tag is used to group body content in HTML Table -->
				<tbody>
					<tr>
						<!-- <td></td> is used to define table element -->
						<td>&lt;</td>
						<td>lt</td>
						<td>less than</td>
					</tr>
					<tr>
						<td>&gt;</td>
						<td>gt</td>
						<td>greater than</td>
					</tr>
					<tr>
						<td>&#8369;</td>
						<td>#8369</td>
						<td>peso sign</td>
					</tr>
					<tr>
						<td>&amp;</td>
						<td>amp</td>
						<td>ampersand</td>
					</tr>
					<tr>
						<td>&quot;</td>
						<td>quot</td>
						<td>double quotation mark</td>
					</tr>
					<tr>
						<td>&apos;</td>
						<td>apos </td>
						<td>single quotation mark (apostrophe)</td>
					</tr>
					<tr>
						<td>&ntilde;</td>
						<td>ntilde</td>
						<td>lower tilde</td>
					</tr>
					<tr>
						<td>&Ntilde;</td>
						<td>Ntilde</td>
						<td>upper tilde</td>
					</tr>
						<!-- <tfoot></tfoot> tag is used to group footers in HTML -->
					<tfoot>
						
							<th colspan="3"> List of HTML Entities</th>
						
					</tfoot>
					



				</tbody>
			</table>
		</section>

		<section>
			<!-- HTML Forms -->
			<h2>HTML Forms</h2>

			<p>
				<em>Input elements that make up a form.</em>
			</p>
			
			<form action="https://google.com">
				<!-- 
				<form></form> tag creates HTML form to capture user input
				* action attrib specifies where the info will be sent
				* type="value" - defines how the button will behave
				* submit is the default value
				 -->

				<label for="full_name">Full Name:</label><br>
				<input type="text" name="full_name" id="full_name" required autocomplete><br>

				<label for="birth_date">Birthdate:</label><br>
				<input type="date" name="birth_date" id="birth_date" required><br>

				<label for="age">Age:</label><br>
	            		<!-- mix and max value to change the range -->
        		<input type="number" name="age" id="age" min="1" max="100" required><br>

				<label for="gender">Gender:</label><br>
				<!-- dropdown -->
				<select name="gender" id="gender">
					<option value="Male">Male</option>
					<option value="Female">Female</option>
				</select><br>
				<!-- Notes -->
				<label for="notes">Notes:</label><br>
				<textarea name="notes"	id="notes" rows="5" cols="10"></textarea><br>

				<!-- new suer: radio button -->
				<!-- for radio buttons, name attribute should be the same -->
				<label>New User: </label><br>
				<input type="radio" name="new_user" id="user-type1" >
				<label for="user-type1">Yes</label><br>

				<input type="radio" name="new_user" id="user-type2" >
				<label for="user-type2">No</label><br>

				<!-- checkbox -->
				<label>Role:</label><br>
				<input type="checkbox" name="Role1" id="role1" value="developer">
				<label for="role1">Developer</label><br>
				<input type="checkbox" name="Role2" id="role2" value="student">
				<label for="role2">Student</label><br>
				<input type="checkbox" name="Role3" id="role3" value="manager">
				<label for="role3">Manager</label><br><br>


				<button type="submit">Submit</button> <br>
				<button type="reset">Reset</button>
			</form>
		</section>
	</main>


</body>
</html>